id: CVE-2024-10486

info:
  name: Google for WooCommerce <= 2.8.6 - Information Disclosure via Publicly Accessible PHP Info File
  author: popcorn94
  severity: medium
  description: |
    The Google for WooCommerce plugin for WordPress is vulnerable to Information Disclosure in all versions up to, and including, 2.8.6. This is due to publicly accessible print_php_information.php file. This makes it possible for unauthenticated attackers to retrieve information about Webserver and PHP configuration, which can be used to aid other attacks.
  reference:
    - https://plugins.trac.wordpress.org/browser/google-listings-and-ads/tags/2.8.6/vendor/googleads/google-ads-php/scripts/print_php_information.php
    - https://www.wordfence.com/threat-intel/vulnerabilities/wordpress-plugins/google-listings-and-ads/google-for-woocommerce-286-information-disclosure-via-publicly-accessible-php-info-file
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
    cvss-score: 5.3
    cve-id: CVE-2024-10486
    cwe-id: CWE-862
    epss-score: 0.00094
    epss-percentile: 0.23969
  metadata:
    verified: true
    max-request: 1
    publicwww-query: "/wp-content/plugins/google-listings-and-ads/"
  tags: cve,cve2024,wp,wordpress,wp-plugin,google-listings-and-ads,info-leak

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/google-listings-and-ads/vendor/googleads/google-ads-php/scripts/print_php_information.php"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "PHP Extension"
          - "PHP Version"
        condition: and

      - type: status
        status:
          - 200
# digest: 490a0046304402206a0c616855d55d9ed40e1e4f261eaeef09943091cf0cfe607db8d06a83c36934022034dd5e9b4334968782e55048a0bb19f5b182a487a3e8a643a83872b9f6ca49b6:922c64590222798bb761d5b6d8e72950